<?php
/**
 * Copyright (©) 2021 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2021 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Controller\Carousel;

use Pinpoint\CarouselManager\Model\CarouselRepository;

/**
 * Class Carousel
 */
class Preview extends \Magento\Framework\App\Action\Action
{
    protected $_pageFactory;
    /**
     * @var \Magento\Framework\Registry
     */
    private $_coreRegistry;
    /**
     * @var CarouselRepository
     */
    private $carouselRepository;

    public function __construct(
        \Magento\Framework\App\Action\Context $context,
        \Magento\Framework\Registry $coreRegistry,
        CarouselRepository $carouselRepository,
        \Magento\Framework\View\Result\PageFactory $pageFactory)
    {
        $this->_pageFactory = $pageFactory;
        $this->_coreRegistry = $coreRegistry;
        $this->carouselRepository = $carouselRepository;
        return parent::__construct($context);
    }

    public function execute()
    {
        $id = $this->getRequest()->getParam('carousel_id');
        $storeId = $this->getRequest()->getParam('store_id');
        $carousel = $this->carouselRepository->getById($id);
//
//        $this->_coreRegistry->register('pinpoint_carouselmanager_carousel', $model);

//        if (!$storeId) {
//            $storeId = $model->getFirstStoreId();
//        }
        $page = $this->_pageFactory->create();

        $block = $page->getLayout()->getBlock('carousel_preview');
        $block->setCarousel($carousel);
        $page->getConfig()->getTitle()->prepend(__("Carousel Manager Preview - " . $carousel->getName()));

        return $page;

        //        $resultPage = $this->resultPageFactory->create();
//        return $resultPage;
    }
}
