<?php
/**
 * Copyright (©) 2020 Pinpoint Designs LTD. All right's reserved.
 *
 * @category    Pinpoint
 * @copyright   Copyright (c) 2020 Pinpoint Designs. (http://www.pinpointdesigns.co.uk)
 * @author      Daniel Cuevas <daniel@pinpointdesigns.co.uk>
 */

namespace Pinpoint\CarouselManager\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\View\DesignInterface;

/**
 * Class Config
 */
class Config extends AbstractHelper
{
    const SLIDE_LIMIT_CONFIG_PATH = 'pinpoint_carouselmanager/limits/slides';
    const CTA_LIMIT_CONFIG_PATH = 'pinpoint_carouselmanager/limits/ctas';
    const FONTS_AVAILABLE = 'pinpoint_carouselmanager/fonts_available';

    public function getMaximumNumberOfSlides()
    {
        return $this->scopeConfig->getValue(self::SLIDE_LIMIT_CONFIG_PATH);
    }

    public function getMaximumNumberOfCtas()
    {
        return $this->scopeConfig->getValue(self::CTA_LIMIT_CONFIG_PATH);
    }

    public function getFontsAvailable()
    {
        return $this->scopeConfig->getValue(self::FONTS_AVAILABLE);
//        return explode(',', $this->scopeConfig->getValue(self::FONTS_AVAILABLE));
    }

    public function getThemeId($storeId)
    {
        return $this->scopeConfig->getValue(DesignInterface::XML_PATH_THEME_ID, 'store', $storeId);
    }
}
